# Chat - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.chat.abstracts / Chat

# Chat

(common) `interface Chat` (source)

### Properties

(common)

#### id

`abstract val id: ChatId`

### Inheritors

(common)

#### ExtendedChat

`interface ExtendedChat : Chat`

(common)

#### PrivateChat

`interface PrivateChat : Chat, UsernameChat`

(common)

#### PublicChat

`interface PublicChat : Chat`

(common)

#### UnknownChatType

`data class UnknownChatType : Chat`

(common)

#### UsernameChat

`interface UsernameChat : Chat`